# List of discussion posts List of discussion posts, filterable by product GUID, article ID, page ID, customer GUID, author's e-mail, and creation date. Requires "discussion" module to be active. Endpoint: GET /api/discussions-posts Version: 1.0.0 Security: shoptetAccessToken, shoptetPrivateApiToken ## Query parameters: - `productGuid` (string) guid of the product associated to discussion Example: "356eb81e-d966-11e0-b04f-57a43310b768" - `articleId` (integer) identifier of the article associated to discussion Example: 1 - `pageId` (integer) identifier of the page associated to discussion Example: 1 - `customerGuid` (string) guid of the customer associated to discussion Example: "443cad54-73bc-11e8-8216-002590dad85e" - `userEmail` (string) e-mail of the post's author Example: "john.doe@example.com" - `creationDateFrom` (string) date and time of the post creation - lower limit Example: "2022-12-24T16:00:00+02:00" - `creationDateTo` (string) date and time of the post creation - upper limit Example: "2022-12-31T23:59:59+02:00" - `itemsPerPage` (integer) Returned items per page. Default and max value is 100. Example: 98 - `page` (integer) Page number to return. Default value is 1. Example: 3 ## Header parameters: - `Content-Type` (string, required) ## Response 200 fields (application/json): - `data` (object, required) - `data.discussion` (array, required) - `data.discussion.id` (integer, required) discussion post ID - `data.discussion.parentId` (integer,null, required) discussion post parent ID - `data.discussion.productGuid` (any, required) Discussion post product identifier. - `data.discussion.articleId` (integer,null, required) Discussion post article identifier. - `data.discussion.pageId` (integer,null, required) Discussion post page identifier. - `data.discussion.customerGuid` (any, required) Discussion post customer identifier. - `data.discussion.name` (string,null, required) name of the author - `data.discussion.email` (string,null, required) email of the author - `data.discussion.title` (string,null, required) title of the post - `data.discussion.content` (string,null, required) content of the post - `data.discussion.creationDate` (string,null, required) date and time of the post creation - `data.discussion.authorized` (boolean, required) flag whether the post is authorized (visible on the web) - `data.paginator` (object, required) - `data.paginator.totalCount` (integer, required) total number of available records - `data.paginator.page` (integer, required) current page - `data.paginator.pageCount` (integer, required) total available of pages - `data.paginator.itemsOnPage` (integer, required) number of currently returned records - `data.paginator.itemsPerPage` (integer, required) required number of records per page - `errors` (array,null, required) - `errors.errorCode` (string, required) Short text error identification - `errors.message` (string, required) Descriptive error message - `errors.instance` (string, required) Identification of the entity referenced ## Response 403 fields (application/json): - `data` (object,null) - `errors` (array,null) - `errors.errorCode` (string, required) Short text error identification - `errors.message` (string, required) Descriptive error message - `errors.instance` (string, required) Identification of the entity referenced